const config = require('../config')
const pre = config.database.pre
const QueryBuilder = require('node-querybuilder');
const pool = new QueryBuilder(config.settings, 'mysql', 'pool');

  async function get_feature() {
    try {
        let qb = await pool.get_connection();
        let response = await qb.select('*').where('deleted', '0').get(pre+'_borrow');
        //console.log("Query Ran: " + qb.last_query());
        qb.release();
        return response;
    } catch (err) {
        //console.error(err)
        return "Fail";
    }
  }

  async function get_service_feature() {
    try {
        let qb = await pool.get_connection();
        let response = await qb.select('*').get(pre+'_service_borrow');
        //console.log("Query Ran: " + qb.last_query());
        qb.release();
        return response[0];
    } catch (err) {
        //console.error(err.msg)
        return "Fail";
    }
  }


module.exports = {
    get_feature,get_service_feature
}

/* 

INSTRUCTIONS
===================

1. Query Builder Reference : https://www.npmjs.com/package/node-querybuilder#how-to-install

*/